function status_icons(status_id, status_bg, status_label, status_width, status_height, status_fontsize, status_class) {
    status_bg = status_bg ? status_bg : '#e1e1e1';
    status_width = status_width ? status_width : 2.5;
    status_height = status_height ? status_height : 2.5;
    status_borderradius = (status_width == status_height) ? status_width : 0.25;
    status_fontsize = status_fontsize ? status_fontsize : 0.8125;
    status_label = status_label ? status_label : '';
    status_class = status_class ? ' class="' + status_class + '"' : '';
    $("#"+status_id).html('<div style="width:' + status_width + 'em;height:' + status_height + 'em;background-color: ' + status_bg + ';border-radius: ' + status_borderradius + 'em;padding:0.065em;font: ' + status_fontsize + 'em \'Helvetica Neue\', Helvetica;color:#fff;text-align:center;line-height:' + (status_height+0.25) + 'em;box-shadow: 0.0625em 0.0625em 0.25em #666;overflow: hidden;" ' + status_class + '>' + status_label + '</div>');
};