function checkTime(i) {
    i = (i < 10) ? "0" + i : i;
    return i;
}

function timer(date) {
    sub_date = date.replace(/年|月/g, "/").replace(/日/g, "").replace(/时/g, ":").replace(/分/g, ":00").replace(/-/g, "/");
    var sub_ts = ((new Date(sub_date)) > (new Date())) ? (new Date(sub_date)) - (new Date()) : ((new Date()) - new Date(sub_date));
    var sub_dd = parseInt(sub_ts / 1000 / 60 / 60 / 24, 10);
    var sub_hh = parseInt(sub_ts / 1000 / 60 / 60 % 24, 10);
    var sub_mm = parseInt(sub_ts / 1000 / 60 % 60, 10);
    var sub_ss = parseInt(sub_ts / 1000 % 60, 10);
    var sub_datatime = "";
    sub_datatime += (sub_dd > 0) ? '<font color=#dd0000>' + sub_dd + '</font>天' : '';
    sub_datatime += (sub_hh > 0) ? '<font color=#dd0000>' + sub_hh + '</font>小时' : '';
    sub_datatime += (sub_mm > 0) ? '<font color=#dd0000>' + sub_mm + '</font>分钟' : '';
    sub_datatime += (sub_ss > 0) ? '<font color=#dd0000>' + sub_ss + '</font>秒' : '';
    return sub_datatime;
}

function time_difference(start) {
    var end_date = new Date().getFullYear() + "/" + checkTime(new Date().getMonth() + 1) + "/" + checkTime(new Date().getDate()) + " " + checkTime(new Date().getHours()) + ":" + checkTime(new Date().getMinutes()) + ":" + checkTime(new Date().getSeconds());
    if (start != '' && start != null) {
        start_date = start.replace(/-/g, "/").replace(/年|月/g, "/").replace(/日/g, "").replace(/时/g, ":").replace(/分/g, ":00").replace(/-/g, "/");
        var sub_ts = (new Date(start_date) - new Date(end_date));
        return parseInt(sub_ts / 1000);
    }
}

function hours_difference(start, end) {
    var sub_ts = Math.abs((new Date(end.replace(/-/g, "/"))) - new Date(start.replace(/-/g, "/")));
    var sub_dd = parseInt(sub_ts / 1000 / 60 / 60 / 24, 10);
    var sub_hh = parseInt(sub_ts / 1000 / 60 / 60 % 24, 10);
    var sub_mm = parseInt(sub_ts / 1000 / 60 % 60, 10);
    var sub_ss = parseInt(sub_ts / 1000 % 60, 10);
    var sub_datatime = "";
    sub_datatime += (sub_dd > 0) ? '<font color=#dd0000>' + sub_dd + '</font>天' : '';
    sub_datatime += (sub_hh > 0) ? '<font color=#dd0000>' + sub_hh + '</font>小时' : '';
    sub_datatime += (sub_mm > 0) ? '<font color=#dd0000>' + sub_mm + '</font>分钟' : '';
    sub_datatime += (sub_ss > 0) ? '<font color=#dd0000>' + sub_ss + '</font>秒' : '';
    return sub_datatime;
}

function formatDate(date, t) {
    date = new Date(date.replace(/-/g, "/"));
    if (new Date().getFullYear() == new Date(date).getFullYear()) {
        var preDate = new Date(new Date().getTime() - 24 * 60 * 60 * 1000);
        //前一天
        if (new Date().getMonth() == new Date(date).getMonth() && new Date().getDate() == new Date(date).getDate()) {
            var today = (t == 1) ? '今天 ' : '';
            return today + checkTime(new Date(date).getHours()) + ":" + checkTime(new Date(date).getMinutes());
        } else if (new Date(preDate).getMonth() == new Date(date).getMonth() && new Date(date).getDate() == new Date(preDate).getDate()) {
            return "昨天  " + checkTime(new Date(date).getHours()) + ":" + checkTime(new Date(date).getMinutes());
        } else {
            return (new Date(date).getMonth() + 1) + "月" + (new Date(date).getDate()) + "日 " + checkTime(new Date(date).getHours()) + ":" + checkTime(new Date(date).getMinutes());
        }
    } else {
        return new Date(date).getFullYear() + "年" + (new Date(date).getMonth() + 1) + "月" + checkTime(new Date(date).getDate()) + "日 " + (new Date(date).getHours()) + ":" + checkTime(new Date(date).getMinutes());
    }
}